Workflow Instances
Cancels the workflow instance with the specified ID with a reason. Canceling the workflow instance also cancels the workflow sub-processes.
The identifier of the workflow instance to be cancelled.
The workflow instance has been successfully canceled.
No content
POST /rest/2.0/workflowInstances/{workflowInstanceId}/canceled HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"The workflow instance has been successfully canceled.
No content
Returns workflow instances matching given search criteria.
Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned workflow instances satisfy all constraints that are specified in this search criteria.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The display name of the business item that should be contained by the searched workflows.
The ID of the business item that should be contained by the searched workflows.
The ID of the workflow definition.
The name (or a part of it) of the workflow definition.
The ID (or a part of it) of the workflow instance.
The field on which the results are sorted.
START_DATEPossible values: The sorting order.
DESCPossible values: The ID of the parent workflow instance.
The found workflow instances.
Response containing the paged information.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/workflowInstances HTTP/1.1
Authorization: Basic username:password
Accept: */*
The found workflow instances.
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"subInstances": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"subInstances": [
"[Circular Reference]"
],
"subProcessInstancesCount": 1,
"parentWorkflowInstanceId": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
],
"startDate": 1,
"ended": true,
"createdAssetId": "123e4567-e89b-12d3-a456-426614174000",
"inError": true,
"errorMessage": "text"
}
],
"subProcessInstancesCount": 1,
"parentWorkflowInstanceId": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
],
"startDate": 1,
"ended": true,
"createdAssetId": "123e4567-e89b-12d3-a456-426614174000",
"inError": true,
"errorMessage": "text"
}
]
}Starts multiple workflow instances based on the provided request.
The properties of the workflow to be started.
The ID of the workflow definition.
The list of IDs for the business items.
The resource type of the passed in business items.
The ID of the guest user starting the workflow. This property is ignored and will be removed without a replacement.
Whether a mail notification on starting the workflows should be sent. This notification is only used in the asynchronous api version (in a job).
Workflow instances successfully started.
Represents an instance of a workflow.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The count of sub process instances of this instance.
The Id of the parent workflow instance.
The start date of this process instance.
Whether this process instance is already ended.
The optional identifier of the created asset if the process instance ended, created a term and it is configured for it.
Whether this process instance is in error. This means that there was a problem with a async continuation of the process instance.
The optional error message of any error in a async continuation of this process instance. Only present if inError is true.
Workflow definition could not be found.
POST /rest/2.0/workflowInstances HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 225
{
"workflowDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
"businessItemIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"businessItemType": "ASSET",
"formProperties": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"sendNotification": true
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"subInstances": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"subInstances": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"subInstances": "[Circular Reference]",
"subProcessInstancesCount": 1,
"parentWorkflowInstanceId": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
],
"startDate": 1,
"ended": true,
"createdAssetId": "123e4567-e89b-12d3-a456-426614174000",
"inError": true,
"errorMessage": "text"
}
],
"subProcessInstancesCount": 1,
"parentWorkflowInstanceId": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
],
"startDate": 1,
"ended": true,
"createdAssetId": "123e4567-e89b-12d3-a456-426614174000",
"inError": true,
"errorMessage": "text"
}
],
"subProcessInstancesCount": 1,
"parentWorkflowInstanceId": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"tasks": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"system": true,
"workflowDefinition": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text",
"processId": "text"
},
"workflowInstanceId": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"type": "text",
"aggregationKey": "text",
"priority": 1,
"owner": "text",
"candidateUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"createTime": 1,
"dueDate": 1,
"cancelable": true,
"reassignable": true,
"formRequired": true,
"formKeyAvailable": true,
"containsActivityStream": true,
"inError": true,
"errorMessage": "text",
"customButtons": [
{
"id": "text",
"name": "text",
"type": "text",
"value": "text",
"writable": true,
"required": true,
"enumValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"checkButtons": [
{
"label": "text",
"value": "text"
}
],
"radioButtons": [
{
"label": "text",
"value": "text"
}
],
"defaultDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"proposedDropdownValues": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
],
"dateTimeType": "text",
"multiValue": true,
"proposedFixed": true,
"defaultFromResource": true,
"multiDefaultDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"multiProposedDropdownValues": {
"ANY_ADDITIONAL_PROPERTY": [
{
"parents": [
"text"
],
"relationTypeDirection": "TO_SOURCE",
"idAsString": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text"
}
]
},
"assetType": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"assetTypeIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"communityIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"domainIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"statusIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"userSourceFilter": "text",
"helpText": "text"
}
],
"description": "text",
"title": "text",
"businessItem": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"businessItemReference": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
}
],
"startDate": 1,
"ended": true,
"createdAssetId": "123e4567-e89b-12d3-a456-426614174000",
"inError": true,
"errorMessage": "text"
}
]Returns the file representing the diagram of workflow instance identified by the given ID. The diagram input stream returned can be null as deployed workflow defintions without graphical notation included don't have a diagram
The ID of the workflow instance to return the diagram for.
The input stream containing the diagram of the workflow instance.
No diagram has been found.
GET /rest/2.0/workflowInstances/{workflowInstanceId}/diagram HTTP/1.1
Authorization: Basic username:password
Accept: */*
{}Passes the message event to the workflow engine. It will pass on this specific event to the engine with the given name, process instance and variables.
The ID of an instance of a process. Given process instance should have only one execution running at the time. Otherwise this method will fail.
The name of the message to trigger.
The properties of the message event to be received.
The message event has been successfully passed.
No content
POST /rest/2.0/workflowInstances/{processInstanceId}/messageEvents/{messageName} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"variables": {
"ANY_ADDITIONAL_PROPERTY": {}
}
}The message event has been successfully passed.
No content
Starts multiple workflow instances asynchronously based on the provided request.
The properties of the workflow to be started.
The ID of the workflow definition.
The list of IDs for the business items.
The resource type of the passed in business items.
The ID of the guest user starting the workflow. This property is ignored and will be removed without a replacement.
Whether a mail notification on starting the workflows should be sent. This notification is only used in the asynchronous api version (in a job).
Workflow instances successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/workflowInstances/startJobs HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 225
{
"workflowDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
"businessItemIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"businessItemType": "ASSET",
"formProperties": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"sendNotification": true
}Workflow instances successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Last updated
Was this helpful?